org.openrdf.elmo.scutter.servlet
Class ScutterServlet

java.lang.Object
  extended by javax.servlet.GenericServlet
      extended by javax.servlet.http.HttpServlet
          extended by org.openrdf.elmo.scutter.servlet.ScutterServlet
All Implemented Interfaces:
Serializable, Servlet, ServletConfig

public class ScutterServlet
extends HttpServlet

Web interface to the Elmo scutter. See the provided user manual for the documentation of initialization and request parameters.

Author:
Peter Mika (pmika@cs.vu.nl)
See Also:
Serialized Form

Constructor Summary
ScutterServlet()
           
 
Method Summary
 void doGet(HttpServletRequest request, HttpServletResponse response)
           
 void init(ServletConfig config)
           
static void main(String[] args)
          For debugging purposes only.
 
Methods inherited from class javax.servlet.http.HttpServlet
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service
 
Methods inherited from class javax.servlet.GenericServlet
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

ScutterServlet

public ScutterServlet()
Method Detail

init

public void init(ServletConfig config)
          throws ServletException
Specified by:
init in interface Servlet
Overrides:
init in class GenericServlet
Throws:
ServletException

doGet

public void doGet(HttpServletRequest request,
                  HttpServletResponse response)
           throws ServletException,
                  IOException
Overrides:
doGet in class HttpServlet
Throws:
ServletException
IOException

main

public static void main(String[] args)
                 throws Exception
For debugging purposes only.

Parameters:
args -
Throws:
Exception


Copyright © 2004-2008 Aduna. All Rights Reserved.